Package de.willuhn.jameica.hbci.gui.controller

# Class UeberweisungControl

java.lang.Object
de.willuhn.jameica.gui.AbstractControl
de.willuhn.jameica.hbci.gui.controller.AbstractTransferControl
de.willuhn.jameica.hbci.gui.controller.AbstractBaseUeberweisungControl
de.willuhn.jameica.hbci.gui.controller.UeberweisungControl

public class UeberweisungControl extends AbstractBaseUeberweisungControl
Controller fuer die Ueberweisungen.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`UeberweisungControl.Typ`
Hilfsklasse fuer den Auftragstyp.

## Field Summary

### Fields inherited from class de.willuhn.jameica.gui.AbstractControl

`view`

## Constructor Summary

Constructors
Constructor
Description
`UeberweisungControl(de.willuhn.jameica.gui.AbstractView view)`
ct.

## Method Summary

Modifier and Type
Method
Description
`TerminInput`
`getTermin()`
Liefert das Eingabe-Feld fuer den Termin.
`de.willuhn.jameica.gui.input.Input`
`getTextSchluessel()`
Liefert ein Auswahlfeld fuer den Textschluessel.
`HibiscusTransfer`
`getTransfer()`
Ueberschrieben, damit wir bei Bedarf eine neue Ueberweisung erzeugen koennen.
`de.willuhn.jameica.gui.input.SelectInput`
`getTyp()`
Liefert eine Combobox zur Auswahl des Auftragstyps.
`UeberweisungList`
`getUeberweisungListe()`
Liefert eine Tabelle mit allen vorhandenen Ueberweisungen.
`boolean`
`handleStore()`
Ueberschrieben, um das Flag fuer die Termin-Ueberweisung zu speichern.

### Methods inherited from class de.willuhn.jameica.hbci.gui.controller.AbstractBaseUeberweisungControl

`getBetrag, getEmpfaengerBlz, getEmpfaengerKonto, getEmpfaengerName, getKontoAuswahl, getReminderInterval, getStoreEmpfaenger, getZweck, getZweck2`

### Methods inherited from class de.willuhn.jameica.hbci.gui.controller.AbstractTransferControl

`getKonto`

### Methods inherited from class de.willuhn.jameica.gui.AbstractControl

`getCurrentObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UeberweisungControl

public UeberweisungControl(de.willuhn.jameica.gui.AbstractView view)
ct.

Parameters:
  `view` -

## Method Details

### getTransfer

public HibiscusTransfer getTransfer() throws RemoteException
Ueberschrieben, damit wir bei Bedarf eine neue Ueberweisung erzeugen koennen.

Specified by:
  `getTransfer` in class `AbstractTransferControl`
Returns:
  der Transfer oder `null` wenn keiner existiert.
Throws:
  `RemoteException`
See Also:
  - `AbstractTransferControl.getTransfer()`

### getTyp

public de.willuhn.jameica.gui.input.SelectInput getTyp() throws RemoteException
Liefert eine Combobox zur Auswahl des Auftragstyps. Zur Wahl stehen Ueberweisung, Termin-Ueberweisung und Umbuchung.

Returns:
  die Combobox.
Throws:
  `RemoteException`

### getTermin

public TerminInput getTermin() throws RemoteException
Description copied from class: `AbstractBaseUeberweisungControl`
Liefert das Eingabe-Feld fuer den Termin.

Overrides:
  `getTermin` in class `AbstractBaseUeberweisungControl`
Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`
See Also:
  - `AbstractBaseUeberweisungControl.getTermin()`

### getUeberweisungListe

public UeberweisungList getUeberweisungListe() throws RemoteException
Liefert eine Tabelle mit allen vorhandenen Ueberweisungen.

Returns:
  Tabelle.
Throws:
  `RemoteException`

### getTextSchluessel

public de.willuhn.jameica.gui.input.Input getTextSchluessel() throws RemoteException
Description copied from class: `AbstractBaseUeberweisungControl`
Liefert ein Auswahlfeld fuer den Textschluessel.

Specified by:
  `getTextSchluessel` in class `AbstractBaseUeberweisungControl`
Returns:
  Auswahlfeld.
Throws:
  `RemoteException`
See Also:
  - `AbstractBaseUeberweisungControl.getTextSchluessel()`

### handleStore

public boolean handleStore()
Ueberschrieben, um das Flag fuer die Termin-Ueberweisung zu speichern.

Overrides:
  `handleStore` in class `AbstractBaseUeberweisungControl`
Returns:
  true, wenn das Speichern erfolgreich war.
See Also:
  - `AbstractTransferControl.handleStore()`